org.eclipse.microprofile.graphql.tck.dynamic.schema

## Class TestData

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.dynamic.schema.TestData

    public class TestData
    extends Object

Simple Holder for Test Data sets

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Constructor Summary

Constructors
Constructor and Description
`TestData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addContainsString(String containsString)`
`List<String>` `getContainsAnyOfString()`
`int` `getCount()`
`String` `getErrorMessage()`
`String` `getHeader()`
`String` `getName()`
`String` `getSnippetSearchTerm()`
`void` `setContainsAnyOfString(List<String> containsAnyOfString)`
`void` `setCount(int count)`
`void` `setErrorMessage(String errorMessage)`
`void` `setHeader(String header)`
`void` `setName(String name)`
`void` `setSnippetSearchTerm(String snippetSearchTerm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestData

    public TestData()

### Method Detail

#### getCount

    public int getCount()

#### setCount

    public void setCount(int count)

#### getHeader

    public String getHeader()

#### setHeader

    public void setHeader(String header)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getSnippetSearchTerm

    public String getSnippetSearchTerm()

#### setSnippetSearchTerm

    public void setSnippetSearchTerm(String snippetSearchTerm)

#### getContainsAnyOfString

    public List<String> getContainsAnyOfString()

#### setContainsAnyOfString

    public void setContainsAnyOfString(List<String> containsAnyOfString)

#### addContainsString

    public void addContainsString(String containsString)

#### getErrorMessage

    public String getErrorMessage()

#### setErrorMessage

    public void setErrorMessage(String errorMessage)